import { Authlete } from "@authlete/typescript-sdk";
const authlete = new Authlete({
bearer: process.env["AUTHLETE_BEARER"] ?? "",
});
async function run() {
const result = await authlete.client.management.getAuthorizedApplicationsByPost({
serviceId: "<id>",
clientAuthorizationGetListRequest: {
subject: "<value>",
},
});
console.log(result);
}
run();require 'authlete_ruby_sdk'
Models = ::Authlete::Models
s = ::Authlete::Client.new(
bearer: '<YOUR_BEARER_TOKEN_HERE>'
)
res = s.client_management.client_authorization_get_list_api_post(service_id: '<id>', client_authorization_get_list_request: Models::Components::ClientAuthorizationGetListRequest.new(
subject: '<value>'
))
unless res.client_authorization_get_list_response.nil?
# handle response
endpackage main
import(
"context"
"os"
authlete "github.com/authlete/authlete-go-sdk"
"github.com/authlete/authlete-go-sdk/models/components"
"log"
)
func main() {
ctx := context.Background()
s := authlete.New(
authlete.WithSecurity(os.Getenv("AUTHLETE_BEARER")),
)
res, err := s.Client.Management.ListAuthorizedApplicationsWithBody(ctx, "<id>", components.ClientAuthorizationGetListRequest{
Subject: "<value>",
})
if err != nil {
log.Fatal(err)
}
if res.ClientAuthorizationGetListResponse != nil {
// handle response
}
}curl --request POST \
--url https://us.authlete.com/api/{serviceId}/client/authorization/get/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"developer": "<string>",
"start": 123,
"end": 123
}
'{
"start": 123,
"end": 123,
"developer": "<string>",
"subject": "<string>",
"totalCount": 123,
"clients": [
{
"number": 123,
"clientName": "<string>",
"clientNames": [
{
"tag": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"descriptions": [
{
"tag": "<string>",
"value": "<string>"
}
],
"clientId": 123,
"clientIdAlias": "<string>",
"clientIdAliasEnabled": true,
"clientType": "PUBLIC"
}
]
}{
"resultCode": "A001201",
"resultMessage": "[A001201] /auth/authorization, TLS must be used."
}{
"resultCode": "A001202",
"resultMessage": "[A001202] /auth/authorization, Authorization header is missing."
}{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}Get Authorized Applications
Get a list of client applications that an end-user has authorized.
The subject parameter is required.
import { Authlete } from "@authlete/typescript-sdk";
const authlete = new Authlete({
bearer: process.env["AUTHLETE_BEARER"] ?? "",
});
async function run() {
const result = await authlete.client.management.getAuthorizedApplicationsByPost({
serviceId: "<id>",
clientAuthorizationGetListRequest: {
subject: "<value>",
},
});
console.log(result);
}
run();require 'authlete_ruby_sdk'
Models = ::Authlete::Models
s = ::Authlete::Client.new(
bearer: '<YOUR_BEARER_TOKEN_HERE>'
)
res = s.client_management.client_authorization_get_list_api_post(service_id: '<id>', client_authorization_get_list_request: Models::Components::ClientAuthorizationGetListRequest.new(
subject: '<value>'
))
unless res.client_authorization_get_list_response.nil?
# handle response
endpackage main
import(
"context"
"os"
authlete "github.com/authlete/authlete-go-sdk"
"github.com/authlete/authlete-go-sdk/models/components"
"log"
)
func main() {
ctx := context.Background()
s := authlete.New(
authlete.WithSecurity(os.Getenv("AUTHLETE_BEARER")),
)
res, err := s.Client.Management.ListAuthorizedApplicationsWithBody(ctx, "<id>", components.ClientAuthorizationGetListRequest{
Subject: "<value>",
})
if err != nil {
log.Fatal(err)
}
if res.ClientAuthorizationGetListResponse != nil {
// handle response
}
}curl --request POST \
--url https://us.authlete.com/api/{serviceId}/client/authorization/get/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"developer": "<string>",
"start": 123,
"end": 123
}
'{
"start": 123,
"end": 123,
"developer": "<string>",
"subject": "<string>",
"totalCount": 123,
"clients": [
{
"number": 123,
"clientName": "<string>",
"clientNames": [
{
"tag": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"descriptions": [
{
"tag": "<string>",
"value": "<string>"
}
],
"clientId": 123,
"clientIdAlias": "<string>",
"clientIdAliasEnabled": true,
"clientType": "PUBLIC"
}
]
}{
"resultCode": "A001201",
"resultMessage": "[A001201] /auth/authorization, TLS must be used."
}{
"resultCode": "A001202",
"resultMessage": "[A001202] /auth/authorization, Authorization header is missing."
}{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}Authorizations
Authenticate every request with a Service Access Token or Organization Token.
Set the token value in the Authorization: Bearer <token> header.
Service Access Token: Scoped to a single service. Use when automating service-level configuration or runtime flows.
Organization Token: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.
Both token types are issued by the Authlete console or provisioning APIs.
Path Parameters
A service ID.
Body
Response
Start index of search results (inclusive).
End index of search results (exclusive).
Unique ID of a client developer.
Unique user ID of an end-user.
Unique ID of a client developer.
An array of clients.
Show child attributes
Show child attributes